Bug 63660 - window manager dies after changing window manager decorations
Summary: window manager dies after changing window manager decorations
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-04-17 01:56 UTC by ryuhei
Modified: 2007-04-18 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-22 14:15:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace (1.88 KB, text/plain)
2002-04-17 01:57 UTC, ryuhei
no flags Details

Description ryuhei 2002-04-17 01:56:25 UTC
Description of Problem:
When using KDE's control center and changing decoration of the window manager to
IceWM and set it to the theme "model" the window manager dies.

Version-Release number of selected component (if applicable):
KDE 3.0.0

How Reproducible:
To reporduce follow the steps below

Steps to Reproduce:
1. Log in to the machine using KDE 3
2. Open KDE control center
3. Get to "look and feel"
4. Window Decoration
5. Select IceWM (don't apply yet)
6. Go to the configure tab and select "model" theme
7. Apply.

Actual Results:
The window manager dies and you can't move the window or type or do anything fancy.

Expected Results:
The theme on the window should change to "model" theme and it shouldn't kill
window manager

Additional Information:
I tested this with the RH 7.2 and KDE 2 and this didn't happen.

Comment 1 ryuhei 2002-04-17 01:57:49 UTC
Created attachment 54124 [details]
stack trace

Comment 2 Warren Togami 2002-04-17 04:27:24 UTC
This occurs in both unpatched Skipjack beta 2 and fully up2dated KDE 3.0.0-9.

Comment 3 Mattias Dahlberg 2002-05-19 21:32:39 UTC
This happens in Red Hat 7.3 final as well (only in Red Hat though, not in 
another well known distribution which also ships with KDE 3.0.0.)

Alternative way to reproduce:

o Change from "KDE default" decoration to Quartz or IceWM. Click Apply.
o All widgets gets the same icon.
o Change to another decoration. Click Apply.
o KWin crashes.


Comment 4 Ngo Than 2003-01-22 14:15:06 UTC
it's fixed in 8.0 release


Note You need to log in before you can comment on or make changes to this bug.